Snap156.png

在 vCenter 5 我們可以混合不同版本的 hosts 與 VM 在同一個 HA/DRS cluster 裡面。例如當一個 Cluster 有太多的 hosts 需要升級,無法一步到位時就可以用到。假設你的環境有混和模式的需求,這時候請參考上面表列,Virtual Hardware Version 3 的 VM 不能運作於 ESXi5,Virtual Hardware 8 的 VM 不能運作於 ESX/ESXi 4,然後如果 filesystem 要配置成 VMFS-5 的話,就只能運行 ESXi 5 hosts。

VMware ESXi Chronicles 提供了下面幾個建議:

1. VI3.5 到 vSphere 5 的大範圍混合 cluster,最好先 upgrade 所有 VM Virtual Hardware 到 Version 4,VMware Tools 則到 3.5 以上,以確保混合模式的最大相容度。

2. 在還沒將 hosts 變成 ESXi 5 前,不要 upgrade VM Virtual Hardware 到 Version 8,否則 VM 將無法在 ESXi5 hosts 運作,而且一旦升級 Virtual Hardware 就..... 回不去了。

3. 在混合模式中,請不要急著將 VMFS-3 更新程 VMFS-5。否則,所有非 5.0 的 ESXi hosts,都不能存取 VMFS Volumes。

4. 唯一可以先更新,不受影響的是 VMware Tools 5.0。它可在 ESX/ESXi4 下無誤的運作,但假如有 VI3.5 hosts,請至少先 upgrade 到 ESXi4,再升級虛擬機器的 VMware Tools。 

 

 

 

    全站熱搜

    Johnny 發表在 痞客邦 留言(0) 人氣()